"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConstraintsCheckCommand = exports.ConstraintsSourceCommand = exports.ConstraintsQueryCommand = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@yarnpkg/core");
const query_1 = tslib_1.__importDefault(require("./commands/constraints/query"));
exports.ConstraintsQueryCommand = query_1.default;
const source_1 = tslib_1.__importDefault(require("./commands/constraints/source"));
exports.ConstraintsSourceCommand = source_1.default;
const constraints_1 = tslib_1.__importDefault(require("./commands/constraints"));
exports.ConstraintsCheckCommand = constraints_1.default;
const plugin = {
    configuration: {
        constraintsPath: {
            description: `The path of the constraints file.`,
            type: core_1.SettingsType.ABSOLUTE_PATH,
            default: `./constraints.pro`,
        },
    },
    commands: [
        query_1.default,
        source_1.default,
        constraints_1.default,
    ],
};
// eslint-disable-next-line arca/no-default-export
exports.default = plugin;
